MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002821Community[OCCT] OCCT:Data Exchangepublic2003-06-04 10:512011-11-23 17:38
Reporterbugmaster 
Assigned Toskl 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.1.1 
Summary0002821: IGES file not impored correctly
DescriptionBug from Open CASCADE community
Bug has been registered by Narasimha

http://www.opencascade.org/forumorg/bug.php?bug_id=132 [^]

The attached file "mixer_solid.igs" did not imported properly. It was missing
the cylindrical face connecting to the two pipes.

I have tried on both CVS version of OCAS and OCAS 5.0 standard installation.

Both failed to bring this surface.
This File is exported from PATRAN
Additional information
and documentation updates
Documentation remark, added by pdn 2003-10-20 09:36:50:

Improvements:
The reading of weights in the frame of the IGES translation was impeoved. Some
systems write uninitialized values instead of zeros exporting of the polynomial
BSplines. The protection on reading of "memoty junk" was implemented.
Modified entities:
IGESGeom_ToolBSplineSurface.cxx
Protection on zero and negative values of weights.

liriges.c
Protection on reading real values between 0 and 1 if decimal point is missed by
sending system
TagsNo tags attached.
Test case number
Attached Files? file icon mixer_solid.igs (96,390 bytes) 2003-06-04 06:51
? file icon proe-mixer-solid.bmp (689,358 bytes) 2003-06-04 06:53
? file icon imp-exp-mixer-solid.bmp (480,534 bytes) 2003-06-04 06:53
cxx file icon IGESGeom_ToolBSplineSurface.cxx (15,674 bytes) 2003-07-28 15:52
tar file icon patchOCC2821.tar (17,408 bytes) 2003-08-07 13:56
c file icon liriges.c (3,490 bytes) 2003-08-29 09:01
tar file icon patchOCC2821_030910.tar (24,576 bytes) 2003-09-10 14:46

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2003-06-04 10:54 bugmaster Assigned To bugmaster => pdn
2003-06-04 10:54 bugmaster Status new => assigned
2003-06-04 10:54 bugmaster Summary => IGES file not impored correctly
2003-06-10 18:07 pdn Assigned To pdn => skl
2003-08-07 10:20 bugmaster CC => enk
2003-08-07 10:20 bugmaster Status assigned => resolved
2003-08-15 12:21 bugmaster CC => apv
2003-08-19 16:36 apv CC => aki
2003-09-01 19:05 bugmaster CC =>
2003-09-11 16:59 bugmaster CC => imv
2003-09-11 17:00 bugmaster CC =>
2003-10-13 12:31 bugmaster Status resolved => verified
2003-10-17 11:22 bugmaster Status verified => closed
2003-10-17 11:22 bugmaster Fixed in Version => 5.1.1
2003-10-17 11:22 bugmaster Resolution @0@ => fixed
2004-12-30 11:28 bugmaster Customer =>
2011-08-02 11:12 bugmaster Category OCCT:DTE => OCCT:Data Exchange
2011-11-23 17:38 szy Description Updated View Revisions
2011-11-23 17:38 szy Additional Information Updated View Revisions


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker